/* 
    Модальные окна
*/

body.modalOpen {
    overflow: hidden;
    touch-action: none;
    -ms-touch-action: none;

}

body.fixed {
    position: fixed;
}

body.modalOpen .wrapper {
    position: relative;
    overflow: hidden;
}

.modal__wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, .6);
    /* backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px); */
    z-index: 999;
    display: none;
}

.modal .page__button {
    height: 65px;
}

.modal__container {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow-y: auto;
    padding: 3vw;
    box-sizing: border-box;
}

.modal {
    display: none;
}

.modal__close {
    cursor: pointer;
    user-select: none;
}

.modal__left {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

.modal__left .modal__body {
    width: 19.5vw;
    background-color: #141414;
    min-height: 100vh;
    height: 100%;
    box-sizing: border-box;
    padding: 15px 28px;
}


.modal__left .modal__close {
    position: fixed;
    top: 1.1vw;
    left: 21vw;
}


.modal__center {
    background-color: white;
    padding: 2.5vw;
    box-sizing: border-box;
    margin: auto;
    width: 55vw;
    position: relative;
    border-radius: 20px;
}

.modal__center .modal__close {
    position: absolute;
    top: 0.75vw;
    right: 0.75vw;
}

.modal__center .modal__close svg {
    min-width: 1.25vw;
    width: 1.25vw;
    height: 1.25vw;
}

.modal__form {
    display: flex;
    flex-direction: column;
    width: 100%;
    position: relative;
    z-index: 2;
}

.modal__title {
    font-weight: 600;
    font-size: 2vw;
    line-height: 130%;
    margin-bottom: 1vw;
    color: #141414;
    max-width: 33vw;
    line-height: 140%;
}

.modal__title.center {
    text-align: center;
}

.modal__subtitle {
    font-weight: 300;
    font-size: 1.2vw;
    line-height: 1.05vw;
    text-align: left;
    margin-bottom: 2.3vw;
}

.modal__form label {
    border: 1px solid #D2DAE1;
    padding: 0.95vw 0.85vw;
    box-sizing: border-box;
}

.modal__form label:not(:last-child) {
    margin-bottom: 0.65vw;
}

.modal__form button {
}

.modal__form label span {
    font-size: 0.52vw;
    font-weight: 400;
    color: #707D89;
    display: none;
}


.modal__form input {
    width: 100%;
    background: inherit;
    font-weight: 500;
    font-size: 16px;
    color: #141414;
    box-sizing: border-box;
    margin-bottom: 0;
    height: 65px;
    width: 15.3vw;
    padding: 0 2vw;
}

.modal__form textarea {
    width: 100%;
    max-width: 100%;
    background: inherit;
    font-weight: 500;
    font-size: 1vw;
    box-sizing: border-box;
    min-height: 7.5vw;
}

.modal__thanks {
    display: flex;
    flex-direction: column;
    width: 22.75vw;
    box-sizing: border-box;
}

.modal__thanks_icon {
    width: 6.9vw;
    margin: 0 auto;
    margin-bottom: 1.4vw;
}

.modal__thanks_icon img {
    width: 100%;
    object-fit: contain;
}

.modal__left .modal__footer {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 19.5vw;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    box-sizing: border-box;
    background: #231f20;
    border-top: 1px solid #404042;
}


.modal__thanks_text {
    font-weight: 500;
    font-size: 1vw;
    line-height: 1.15vw;
    text-align: center;
    margin-bottom: 1.4vw;
}

.modal__thanks button {
    width: 100%;
}

/* 
.modal__form span{
    display: block;
} */


/* 
    Загрузка
*/
.loader {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
}

.loader__wrapper {
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(35, 31, 32, 0.7);
    backdrop-filter: blur(20px);
}

.loader.active svg {
    animation-name: load;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

.calcUs__image {
    position: absolute;
    width: 24vw;
    bottom: -3vw;
    right: -3vw;
}

.modal__title span {
    color: rgb(45, 156, 219);
}

.modal__form_row {
    display: flex;
    align-items: center;
    gap: 1vw;
}

#calcUs .page__button {
    padding: initial;
    margin: 0;
    height: 65px;
    width: 15vw;
}

#calcUs {
    overflow: hidden;
}

.modal__close {
    width: 1.5vw;
    height: 1.5vw;
    position: absolute;
    top: 2vw;
    right: 2vw;
}

.modal__close svg {
    width: 100%;
    height: 100%;
}

.modal__right {
    background: white;
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 79vw;
}

.modal__right {
    background: white;
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 79vw;
    overflow-y: auto;
    padding: 42px 25px 25px;
    padding-bottom: 0;
}

.burger__container {
    /* padding: 42px 25px 25px; */
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    gap: 12vw;
}

.burger__logo {
    width: 180px;
    height: 70px;
    margin-bottom: 25px;
}

.burger__logo img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;
}

.burger__menu li {
    font-size: 22px;
    font-weight: 400;
    line-height: 140%;
}

.burger__menu li a {
    color: #121212;
}

.burger__menu ul li {
    font-size: 18px;
    font-weight: 500;
}

.burger__menu ul {
    display: flex;
    flex-direction: column;
    gap: 10px;
    border-bottom: 1px solid #dddddd;
    padding-bottom: 10px;
    padding-top: 15px;
}

.burger__menu {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.burger__time {
    font-size: 15px;
    line-height: 140%;
    color: rgb(18, 18, 18);
    font-weight: 400;
    margin-top: 25px;
    padding-bottom: 25px;
}

.burger__bottom .page__button {
    padding: 5vw 10vw;
    width: auto;
}

.burger__dropdown {
    position: relative;
    display: flex;
    align-items: center;
    gap: 1.5vw;
}

.burger__dropdown::after {
    content: '';
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 4px 3px 0;
    -ms-transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    border-color: transparent;
    border-top-color: inherit;
    position: relative;
    top: 0.7vw;
}

@keyframes load {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}



@media(max-width: 767px) {
    .modal__left .modal__body {
        width: 83.2vw;
    }

    .modal__title {
        font-size: 5.5vw;
        text-transform: uppercase;
        margin-bottom: 6.6vw;
    }

    .modal__left .modal__close {
        left: auto;
        right: 29px;
        top: 22px;
    }

    .modal__center {
        width: 100%;
        padding: 16vw 8vw;
    }

    .modal__form {
        width: 100%;
    }

    .modal__subtitle {
        font-weight: 500;
        font-size: 3.7vw;
        line-height: 4.5vw;
        text-align: center;
        margin-bottom: 5.8vw;
    }

    .modal__form input,
    .modal__form textarea {
        width: 100%;
        font-weight: 500;
        font-size: 3.8vw;
    }

    .modal__form textarea {
        min-height: 15vw;
    }

    .modal__form label {
        font-weight: 500;
        font-size: 3.7vw;
        line-height: 4.5vw;
        padding: 5vw 4.4vw;
    }

    .modal__form label:not(:last-child) {
        margin-bottom: 5.8vw;
    }

    .modal__center .modal__close {
        right: 3.8vw;
        top: 3.8vw;
    }

    .modal__center .modal__close svg {
        width: 6.4vw;
        height: 6.4vw;
    }

    .modal__thanks {
        width: 100%;
    }

    .modal__thanks_icon {
        width: 30vw;
        margin: 0 auto;
        margin-bottom: 5.8vw;
    }

    .modal__thanks_text {
        font-weight: 500;
        font-size: 4.3vw;
        line-height: 5vw;
        text-align: center;
        margin-bottom: 5.8vw;
    }

    .modal__left .modal__footer {
        width: 82.2vw;
    }

    .modal__form input {
        width: 100%;
        background: inherit;
        font-weight: 500;
        font-size: 16px;
        color: #141414;
        box-sizing: border-box;
        margin-bottom: 0;
        height: 65px;
        width: 100%;
        padding: 0 5vw;
        background-color: white;
    }

    .modal__form_row {
        display: flex;
        align-items: center;
        gap: 2vw;
        flex-direction: column;
    }

    .modal__title {
        font-size: 5.5vw;
        text-transform: uppercase;
        margin-bottom: 6.6vw;
        max-width: 100%;
    }

    #calcUs .modal__subtitle {
        text-align: left;
    }

    #calcUs .page__button {
        width: 100%;
    }

    .calcUs__image {
        position: absolute;
        width: 70vw;
        bottom: -3vw;
        right: -3vw;
        z-index: 1;
    }

    .modal__close {
        width: 5vw;
        height: 5vw;
        position: absolute;
        top: 3vw;
        right: 3vw;
    }

    .modal .page__button {
        width: 100%;
    }
}